# Auto-set Preferences

This Applescript uses OffShoot's [Disk Added](/offshoot/features/automation/scripts/events/disk-added.md) event to identify an OffShoot app start and sets one or more preferences through the OffShoot API.

### How to use

1. Open the script and edit the settings.
2. Add the script to the [Disk Added](/offshoot/features/automation/scripts/events/disk-added.md) event in OffShoot's `Settings > Scripting` pane.
3. When OffShoot starts the script will:
   * check if the Disk Added event is triggered by the startup drive (only happens once per app start)
   * set the preferences specified in `settings`&#x20;

### Settings

```
set theAPItoken to ""
set settings to ¬
	{auto_eject:"0"} & ¬
	{auto_source_recents_enabled:"0"} & ¬
	{auto_destination_enabled:"0"} & ¬
	{auto_source_on_name_enabled:"0"} & ¬
	{auto_source_on_name:""} & ¬
	{queue_mode:"0"} & ¬
	{checkpoint_enabled:"0"} & ¬
	{logs_enabled:"1"} & ¬
	{ignore_files:""} & ¬
	{rename_files:""} & ¬
	{create_folders:""}
```

### Download

{% file src="/files/-M-thqgYHVAYcVpwWKKL" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hedge.video/offshoot/features/automation/examples/auto-set-preferences.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
